# Module: message

## message

Source:
  - message.js, line 18

### Classes

Message

### Methods

#### <inner> fromBinary(bytes) → {module:message~Message}

  creates new message object from binary data

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `bytes` | String |

  Source:
    - message.js, line 295

  ##### Returns:

  new message object
  Type
    module:message~Message

#### <inner> fromText(text) → {module:message~Message}

  creates new message object from text

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `text` | String |

  Source:
    - message.js, line 280

  ##### Returns:

  new message object
  Type
    module:message~Message

#### <inner> readArmored(armoredText) → {module:message~Message}

  reads an OpenPGP armored message and returns a message object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `armoredText` | String | text to be parsed

  Source:
    - message.js, line 265

  ##### Returns:

  new message object
  Type
    module:message~Message